Loading...
Searching...
No Matches
N_array_2d Struct Reference

`#include <N_pde.h>`

## Data Fields

int | type
int | rows
int | cols
int | rows_intern
int | cols_intern
int | offset
CELL * | cell_array
FCELL * | fcell_array
DCELL * | dcell_array

## Detailed Description

Definition at line 132 of file N_pde.h.

## Field Documentation

## cell_array

CELL* N_array_2d::cell_array

Definition at line 137 of file N_pde.h.

Referenced by N_copy_array_2d().

## cols

int N_array_2d::cols

Definition at line 134 of file N_pde.h.

Referenced by N_compute_gradient_field_2d(), and N_compute_gradient_field_components_2d().

## cols_intern

int N_array_2d::cols_intern

Definition at line 135 of file N_pde.h.

Referenced by N_copy_array_2d().

## dcell_array

DCELL* N_array_2d::dcell_array

Definition at line 141 of file N_pde.h.

Referenced by N_copy_array_2d().

## fcell_array

FCELL* N_array_2d::fcell_array

Definition at line 139 of file N_pde.h.

Referenced by N_copy_array_2d().

## offset

int N_array_2d::offset

Definition at line 136 of file N_pde.h.

## rows

int N_array_2d::rows

Definition at line 134 of file N_pde.h.

Referenced by N_compute_gradient_field_2d(), and N_compute_gradient_field_components_2d().

## rows_intern

int N_array_2d::rows_intern

Definition at line 135 of file N_pde.h.

Referenced by N_copy_array_2d().

## type

int N_array_2d::type

Definition at line 133 of file N_pde.h.

Referenced by N_copy_array_2d(), N_get_array_2d_type(), and N_write_array_2d_to_rast().

The documentation for this struct was generated from the following file:

- N_pde.h